kind: ClusterRole
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: jobtech-cluster-readonly
  labels:
    kubernetes.io/bootstrapping: rbac-defaults
  annotations:
    rbac.authorization.kubernetes.io/autoupdate: 'true'
rules:
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - operators.coreos.com
    resources:
      - clusterserviceversions
      - catalogsources
      - installplans
      - subscriptions
      - operatorgroups
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - packages.operators.coreos.com
    resources:
      - packagemanifests
      - packagemanifests/icon
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - apps.3scale.net
    resources:
      - apicasts
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - apps.3scale.net
    resources:
      - apimanagerbackups
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - apps.3scale.net
    resources:
      - apimanagerrestores
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - apps.3scale.net
    resources:
      - apimanagers
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - capabilities.3scale.net
    resources:
      - apis
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - argoproj.io
    resources:
      - applications
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - argoproj.io
    resources:
      - applicationsets
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - argoproj.io
    resources:
      - appprojects
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - argoproj.io
    resources:
      - argocds
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - capabilities.3scale.net
    resources:
      - backends
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - postgresql.dev4devs.com
    resources:
      - backups
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - backups
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - backupstoragelocations
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - capabilities.3scale.net
    resources:
      - bindings
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - logging.openshift.io
    resources:
      - clusterloggings
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - logging.openshift.io
    resources:
      - collectors
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - operator.tekton.dev
    resources:
      - config
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - postgresql.dev4devs.com
    resources:
      - databases
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - directimagemigrations
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - directimagestreammigrations
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - directvolumemigrationprogresses
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - directvolumemigrations
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - downloadrequests
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
    resources:
      - secrets
      - serviceaccounts
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
      - image.openshift.io
    resources:
      - imagestreamimages
      - imagestreammappings
      - imagestreams
      - imagestreams/secrets
      - imagestreamtags
  - verbs:
      - get
    apiGroups:
      - ''
      - image.openshift.io
    resources:
      - imagestreams/layers
  - verbs:
      - get
    apiGroups:
      - ''
    resources:
      - namespaces
  - verbs:
      - get
    apiGroups:
      - ''
      - project.openshift.io
    resources:
      - projects
  - verbs:
      - get
    apiGroups:
      - ''
    resources:
      - imagetags
  - verbs:
      - list
    apiGroups:
      - ''
    resources:
      - imagetags
  - verbs:
      - watch
    apiGroups:
      - ''
    resources:
      - imagetags
  - verbs:
      - get
    apiGroups:
      - image.openshift.io
    resources:
      - imagetags
  - verbs:
      - list
    apiGroups:
      - image.openshift.io
    resources:
      - imagetags
  - verbs:
      - watch
    apiGroups:
      - image.openshift.io
    resources:
      - imagetags
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
    resources:
      - pods/attach
      - pods/exec
      - pods/portforward
      - pods/proxy
      - secrets
      - services/proxy
  - verbs:
      - impersonate
    apiGroups:
      - ''
    resources:
      - serviceaccounts
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - metrics.k8s.io
    resources:
      - pods
      - nodes
  - verbs:
      - get
    apiGroups:
      - ''
      - build.openshift.io
    resources:
      - builds
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - snapshot.storage.k8s.io
    resources:
      - volumesnapshots
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
      - build.openshift.io
    resources:
      - buildconfigs
      - buildconfigs/webhooks
      - builds
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
      - build.openshift.io
    resources:
      - builds/log
  - verbs:
      - view
    apiGroups:
      - build.openshift.io
    resources:
      - jenkins
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
      - apps.openshift.io
    resources:
      - deploymentconfigs
      - deploymentconfigs/scale
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
      - apps.openshift.io
    resources:
      - deploymentconfigs/log
      - deploymentconfigs/status
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
      - image.openshift.io
    resources:
      - imagestreams/status
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
      - quota.openshift.io
    resources:
      - appliedclusterresourcequotas
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
      - route.openshift.io
    resources:
      - routes
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
      - route.openshift.io
    resources:
      - routes/status
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
      - template.openshift.io
    resources:
      - processedtemplates
      - templateconfigs
      - templateinstances
      - templates
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - extensions
      - networking.k8s.io
    resources:
      - networkpolicies
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
      - build.openshift.io
    resources:
      - buildlogs
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
    resources:
      - resourcequotausages
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - tekton.dev
    resources:
      - tasks
      - taskruns
      - pipelines
      - pipelineruns
      - pipelineresources
      - conditions
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - triggers.tekton.dev
    resources:
      - triggers
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - triggers.tekton.dev
    resources:
      - clustertriggerbindings
      - clusterinterceptors
      - eventlisteners
      - triggers
      - triggerbindings
      - triggertemplates
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - triggers.tekton.dev
    resources:
      - clustertriggerbindings
      - eventlisteners
      - triggerbindings
      - triggertemplates
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - apicasts.apps.3scale.net
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - apps.3scale.net
    resources:
      - apicasts
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - apimanagerbackups.apps.3scale.net
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - apps.3scale.net
    resources:
      - apimanagerbackups
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - apimanagerrestores.apps.3scale.net
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - apps.3scale.net
    resources:
      - apimanagerrestores
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - apimanagers.apps.3scale.net
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - apps.3scale.net
    resources:
      - apimanagers
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - apis.capabilities.3scale.net
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - capabilities.3scale.net
    resources:
      - apis
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - applications.argoproj.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - argoproj.io
    resources:
      - applications
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - applicationsets.argoproj.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - argoproj.io
    resources:
      - applicationsets
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - appprojects.argoproj.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - argoproj.io
    resources:
      - appprojects
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - argocds.argoproj.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - argoproj.io
    resources:
      - argocds
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - backends.capabilities.3scale.net
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - capabilities.3scale.net
    resources:
      - backends
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - backups.postgresql.dev4devs.com
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - postgresql.dev4devs.com
    resources:
      - backups
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - backups.velero.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - backups
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - backupstoragelocations.velero.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - backupstoragelocations
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - bindings.capabilities.3scale.net
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - capabilities.3scale.net
    resources:
      - bindings
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - clusterloggings.logging.openshift.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - logging.openshift.io
    resources:
      - clusterloggings
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - collectors.logging.openshift.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - logging.openshift.io
    resources:
      - collectors
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - config.operator.tekton.dev
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - operator.tekton.dev
    resources:
      - config
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - databases.postgresql.dev4devs.com
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - postgresql.dev4devs.com
    resources:
      - databases
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - directimagemigrations.migration.openshift.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - directimagemigrations
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - directimagestreammigrations.migration.openshift.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - directimagestreammigrations
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - directvolumemigrationprogresses.migration.openshift.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - directvolumemigrationprogresses
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - directvolumemigrations.migration.openshift.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - directvolumemigrations
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - downloadrequests.velero.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - downloadrequests
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - elasticsearches.logging.openshift.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - logging.openshift.io
    resources:
      - elasticsearches
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - fepclusters.fep.fujitsu.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - fep.fujitsu.io
    resources:
      - fepclusters
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - gitopsservices.pipelines.openshift.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - pipelines.openshift.io
    resources:
      - gitopsservices
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - grafanadashboards.integreatly.org
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - integreatly.org
    resources:
      - grafanadashboards
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - grafanadatasources.integreatly.org
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - integreatly.org
    resources:
      - grafanadatasources
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - grafananotificationchannels.integreatly.org
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - integreatly.org
    resources:
      - grafananotificationchannels
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - grafanas.integreatly.org
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - integreatly.org
    resources:
      - grafanas
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - imagemanifestvulns.secscan.quay.redhat.com
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - secscan.quay.redhat.com
    resources:
      - imagemanifestvulns
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - authentication.istio.io
      - config.istio.io
      - networking.istio.io
      - rbac.istio.io
      - security.istio.io
      - authentication.maistra.io
      - rbac.maistra.io
    resources:
      - get
      - list
      - watch
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - maistra.io
    resources:
      - servicemeshextensions
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - jaegers.jaegertracing.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - jaegertracing.io
    resources:
      - jaegers
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - kafkabridges.kafka.strimzi.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - kafka.strimzi.io
    resources:
      - kafkabridges
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - kafkaconnects.kafka.strimzi.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - kafka.strimzi.io
    resources:
      - kafkaconnects
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - kafkaconnects2is.kafka.strimzi.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - kafka.strimzi.io
    resources:
      - kafkaconnects2is
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - kafkamirrormakers.kafka.strimzi.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - kafka.strimzi.io
    resources:
      - kafkamirrormakers
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - kafkas.kafka.strimzi.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - kafka.strimzi.io
    resources:
      - kafkas
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - kafkatopics.kafka.strimzi.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - kafka.strimzi.io
    resources:
      - kafkatopics
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - kafkausers.kafka.strimzi.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - kafka.strimzi.io
    resources:
      - kafkausers
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - kialis.kiali.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - kiali.io
    resources:
      - kialis
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - limits.capabilities.3scale.net
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - capabilities.3scale.net
    resources:
      - limits
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - logforwardings.logging.openshift.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - logging.openshift.io
    resources:
      - logforwardings
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - mappingrules.capabilities.3scale.net
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - capabilities.3scale.net
    resources:
      - mappingrules
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - metrics.capabilities.3scale.net
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - capabilities.3scale.net
    resources:
      - metrics
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - miganalytics.migration.openshift.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - miganalytics
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - migclusters.migration.openshift.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - migclusters
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - mighooks.migration.openshift.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - mighooks
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - migmigrations.migration.openshift.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - migmigrations
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - migplans.migration.openshift.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - migplans
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - migrationcontrollers.migration.openshift.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - migrationcontrollers
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - migstorages.migration.openshift.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - migstorages
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - monitoringdashboards.monitoring.kiali.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - monitoring.kiali.io
    resources:
      - monitoringdashboards
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - odoos.odoo-community.org
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - odoo-community.org
    resources:
      - odoos
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - packages.operators.coreos.com
    resources:
      - packagemanifests
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - perconaservermongodbbackups.psmdb.percona.com
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - psmdb.percona.com
    resources:
      - perconaservermongodbbackups
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - perconaservermongodbrestores.psmdb.percona.com
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - psmdb.percona.com
    resources:
      - perconaservermongodbrestores
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - perconaservermongodbs.psmdb.percona.com
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - psmdb.percona.com
    resources:
      - perconaservermongodbs
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - perconaxtradbbackups.pxc.percona.com
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - pxc.percona.com
    resources:
      - perconaxtradbbackups
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - perconaxtradbclusterbackups.pxc.percona.com
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - pxc.percona.com
    resources:
      - perconaxtradbclusterbackups
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - perconaxtradbclusterrestores.pxc.percona.com
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - pxc.percona.com
    resources:
      - perconaxtradbclusterrestores
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - perconaxtradbclusters.pxc.percona.com
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - pxc.percona.com
    resources:
      - perconaxtradbclusters
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - pgclusters.crunchydata.com
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - crunchydata.com
    resources:
      - pgclusters
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - pgpolicies.crunchydata.com
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - crunchydata.com
    resources:
      - pgpolicies
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - pgreplicas.crunchydata.com
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - crunchydata.com
    resources:
      - pgreplicas
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - pgtasks.crunchydata.com
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - crunchydata.com
    resources:
      - pgtasks
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - plans.capabilities.3scale.net
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - capabilities.3scale.net
    resources:
      - plans
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - podvolumebackups.velero.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - podvolumebackups
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - podvolumerestores.velero.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - podvolumerestores
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - products.capabilities.3scale.net
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - capabilities.3scale.net
    resources:
      - products
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - redis.redis.opstreelabs.in
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - redis.opstreelabs.in
    resources:
      - redis
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - redisenterpriseclusters.app.redislabs.com
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - app.redislabs.com
    resources:
      - redisenterpriseclusters
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
      - image.openshift.io
    resources:
      - imagestreamimages
      - imagestreammappings
      - imagestreams
      - imagestreamtags
  - verbs:
      - get
    apiGroups:
      - ''
      - image.openshift.io
    resources:
      - imagestreams/layers
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - resticrepositories.velero.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - resticrepositories
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - restores.velero.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - restores
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - schedules.velero.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - schedules
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - serverstatusrequests.velero.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - serverstatusrequests
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - servicemeshcontrolplanes.maistra.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - maistra.io
    resources:
      - servicemeshcontrolplanes
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - servicemeshmemberrolls.maistra.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - maistra.io
    resources:
      - servicemeshmemberrolls
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - servicemeshmembers.maistra.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - maistra.io
    resources:
      - servicemeshmembers
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
    resources:
      - configmaps
      - endpoints
      - persistentvolumeclaims
      - pods
      - replicationcontrollers
      - replicationcontrollers/scale
      - serviceaccounts
      - services
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
    resources:
      - bindings
      - events
      - limitranges
      - namespaces/status
      - pods/log
      - pods/status
      - replicationcontrollers/status
      - resourcequotas
      - resourcequotas/status
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
    resources:
      - namespaces
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - apps
    resources:
      - controllerrevisions
      - daemonsets
      - deployments
      - deployments/scale
      - replicasets
      - replicasets/scale
      - statefulsets
      - statefulsets/scale
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - autoscaling
    resources:
      - horizontalpodautoscalers
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - batch
    resources:
      - cronjobs
      - jobs
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - extensions
    resources:
      - daemonsets
      - deployments
      - deployments/scale
      - ingresses
      - networkpolicies
      - replicasets
      - replicasets/scale
      - replicationcontrollers/scale
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - policy
    resources:
      - poddisruptionbudgets
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - networking.k8s.io
    resources:
      - networkpolicies
  - verbs:
      - get
    apiGroups:
      - networking.k8s.io
    resources:
      - ingresses
  - verbs:
      - list
    apiGroups:
      - networking.k8s.io
    resources:
      - ingresses
  - verbs:
      - watch
    apiGroups:
      - networking.k8s.io
    resources:
      - ingresses
  - verbs:
      - get
    apiGroups:
      - ''
    resources:
      - persistentvolumeclaims/status
  - verbs:
      - list
    apiGroups:
      - ''
    resources:
      - persistentvolumeclaims/status
  - verbs:
      - watch
    apiGroups:
      - ''
    resources:
      - persistentvolumeclaims/status
  - verbs:
      - get
    apiGroups:
      - ''
    resources:
      - services/status
  - verbs:
      - list
    apiGroups:
      - ''
    resources:
      - services/status
  - verbs:
      - watch
    apiGroups:
      - ''
    resources:
      - services/status
  - verbs:
      - get
    apiGroups:
      - apps
    resources:
      - daemonsets/status
  - verbs:
      - list
    apiGroups:
      - apps
    resources:
      - daemonsets/status
  - verbs:
      - watch
    apiGroups:
      - apps
    resources:
      - daemonsets/status
  - verbs:
      - get
    apiGroups:
      - apps
    resources:
      - deployments/status
  - verbs:
      - list
    apiGroups:
      - apps
    resources:
      - deployments/status
  - verbs:
      - watch
    apiGroups:
      - apps
    resources:
      - deployments/status
  - verbs:
      - get
    apiGroups:
      - apps
    resources:
      - replicasets/status
  - verbs:
      - list
    apiGroups:
      - apps
    resources:
      - replicasets/status
  - verbs:
      - watch
    apiGroups:
      - apps
    resources:
      - replicasets/status
  - verbs:
      - get
    apiGroups:
      - apps
    resources:
      - statefulsets/status
  - verbs:
      - list
    apiGroups:
      - apps
    resources:
      - statefulsets/status
  - verbs:
      - watch
    apiGroups:
      - apps
    resources:
      - statefulsets/status
  - verbs:
      - get
    apiGroups:
      - autoscaling
    resources:
      - horizontalpodautoscalers/status
  - verbs:
      - list
    apiGroups:
      - autoscaling
    resources:
      - horizontalpodautoscalers/status
  - verbs:
      - watch
    apiGroups:
      - autoscaling
    resources:
      - horizontalpodautoscalers/status
  - verbs:
      - get
    apiGroups:
      - batch
    resources:
      - cronjobs/status
  - verbs:
      - list
    apiGroups:
      - batch
    resources:
      - cronjobs/status
  - verbs:
      - watch
    apiGroups:
      - batch
    resources:
      - cronjobs/status
  - verbs:
      - get
    apiGroups:
      - batch
    resources:
      - jobs/status
  - verbs:
      - list
    apiGroups:
      - batch
    resources:
      - jobs/status
  - verbs:
      - watch
    apiGroups:
      - batch
    resources:
      - jobs/status
  - verbs:
      - get
    apiGroups:
      - extensions
    resources:
      - daemonsets/status
  - verbs:
      - list
    apiGroups:
      - extensions
    resources:
      - daemonsets/status
  - verbs:
      - watch
    apiGroups:
      - extensions
    resources:
      - daemonsets/status
  - verbs:
      - get
    apiGroups:
      - extensions
    resources:
      - deployments/status
  - verbs:
      - list
    apiGroups:
      - extensions
    resources:
      - deployments/status
  - verbs:
      - watch
    apiGroups:
      - extensions
    resources:
      - deployments/status
  - verbs:
      - get
    apiGroups:
      - extensions
    resources:
      - ingresses/status
  - verbs:
      - list
    apiGroups:
      - extensions
    resources:
      - ingresses/status
  - verbs:
      - watch
    apiGroups:
      - extensions
    resources:
      - ingresses/status
  - verbs:
      - get
    apiGroups:
      - extensions
    resources:
      - replicasets/status
  - verbs:
      - list
    apiGroups:
      - extensions
    resources:
      - replicasets/status
  - verbs:
      - watch
    apiGroups:
      - extensions
    resources:
      - replicasets/status
  - verbs:
      - get
    apiGroups:
      - policy
    resources:
      - poddisruptionbudgets/status
  - verbs:
      - list
    apiGroups:
      - policy
    resources:
      - poddisruptionbudgets/status
  - verbs:
      - watch
    apiGroups:
      - policy
    resources:
      - poddisruptionbudgets/status
  - verbs:
      - get
    apiGroups:
      - networking.k8s.io
    resources:
      - ingresses/status
  - verbs:
      - list
    apiGroups:
      - networking.k8s.io
    resources:
      - ingresses/status
  - verbs:
      - watch
    apiGroups:
      - networking.k8s.io
    resources:
      - ingresses/status
  - verbs:
      - get
    apiGroups:
      - discovery.k8s.io
    resources:
      - endpointslices
  - verbs:
      - list
    apiGroups:
      - discovery.k8s.io
    resources:
      - endpointslices
  - verbs:
      - watch
    apiGroups:
      - discovery.k8s.io
    resources:
      - endpointslices
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - snapshot.storage.k8s.io
    resources:
      - volumesnapshots
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
      - build.openshift.io
    resources:
      - buildconfigs
      - buildconfigs/webhooks
      - builds
  - verbs:
      - view
    apiGroups:
      - build.openshift.io
    resources:
      - jenkins
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
      - apps.openshift.io
    resources:
      - deploymentconfigs
      - deploymentconfigs/scale
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
      - route.openshift.io
    resources:
      - routes
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
      - template.openshift.io
    resources:
      - processedtemplates
      - templateconfigs
      - templateinstances
      - templates
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
      - build.openshift.io
    resources:
      - buildlogs
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - tekton.dev
    resources:
      - tasks
      - taskruns
      - pipelines
      - pipelineruns
      - pipelineresources
      - conditions
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - tekton.dev
    resources:
      - clustertasks
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - triggers.tekton.dev
    resources:
      - clustertriggerbindings
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - triggers.tekton.dev
    resources:
      - triggers
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - triggers.tekton.dev
    resources:
      - clustertriggerbindings
      - clusterinterceptors
      - eventlisteners
      - triggers
      - triggerbindings
      - triggertemplates
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - triggers.tekton.dev
    resources:
      - clustertriggerbindings
      - eventlisteners
      - triggerbindings
      - triggertemplates
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - tektonaddons.operator.tekton.dev
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - operator.tekton.dev
    resources:
      - tektonaddons
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - tektonconfigs.operator.tekton.dev
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - operator.tekton.dev
    resources:
      - tektonconfigs
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - tektoninstallersets.operator.tekton.dev
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - operator.tekton.dev
    resources:
      - tektoninstallersets
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - tektonpipelines.operator.tekton.dev
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - operator.tekton.dev
    resources:
      - tektonpipelines
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - tektontriggers.operator.tekton.dev
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - operator.tekton.dev
    resources:
      - tektontriggers
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - tenants.capabilities.3scale.net
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - capabilities.3scale.net
    resources:
      - tenants
  - verbs:
      - get
    apiGroups:
      - apiextensions.k8s.io
    resources:
      - customresourcedefinitions
    resourceNames:
      - volumesnapshotlocations.velero.io
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - volumesnapshotlocations
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - logging.openshift.io
    resources:
      - elasticsearches
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - fep.fujitsu.io
    resources:
      - fepclusters
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - pipelines.openshift.io
    resources:
      - gitopsservices
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - integreatly.org
    resources:
      - grafanadashboards
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - integreatly.org
    resources:
      - grafanadatasources
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - integreatly.org
    resources:
      - grafananotificationchannels
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - integreatly.org
    resources:
      - grafanas
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - secscan.quay.redhat.com
    resources:
      - imagemanifestvulns
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - authentication.istio.io
      - config.istio.io
      - networking.istio.io
      - rbac.istio.io
      - security.istio.io
      - authentication.maistra.io
      - rbac.maistra.io
    resources:
      - get
      - list
      - watch
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - maistra.io
    resources:
      - servicemeshextensions
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - jaegertracing.io
    resources:
      - jaegers
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - crossplane.jobtechdev.se
    resources:
      - get
      - list
      - watch
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - route.openshift.io
    resources:
      - routes/custom-host
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - kafka.strimzi.io
    resources:
      - kafkabridges
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - kafka.strimzi.io
    resources:
      - kafkaconnects
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - kafka.strimzi.io
    resources:
      - kafkaconnects2is
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - kafka.strimzi.io
    resources:
      - kafkamirrormakers
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - kafka.strimzi.io
    resources:
      - kafkas
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - kafka.strimzi.io
    resources:
      - kafkatopics
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - kafka.strimzi.io
    resources:
      - kafkausers
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - kiali.io
    resources:
      - kialis
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - capabilities.3scale.net
    resources:
      - limits
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - logging.openshift.io
    resources:
      - logforwardings
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - capabilities.3scale.net
    resources:
      - mappingrules
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - capabilities.3scale.net
    resources:
      - metrics
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - miganalytics
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - migclusters
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - mighooks
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - migmigrations
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - migplans
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - migrationcontrollers
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - migration.openshift.io
    resources:
      - migstorages
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - monitoring.kiali.io
    resources:
      - monitoringdashboards
  - verbs:
      - watch
      - list
      - get
    apiGroups:
      - k8s.cni.cncf.io
    resources:
      - network-attachment-definitions
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - gpte.opentlc.com
    resources:
      - nexus
      - nexus/status
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - odoo-community.org
    resources:
      - odoos
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - packages.operators.coreos.com
    resources:
      - packagemanifests
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - psmdb.percona.com
    resources:
      - perconaservermongodbbackups
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - psmdb.percona.com
    resources:
      - perconaservermongodbrestores
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - psmdb.percona.com
    resources:
      - perconaservermongodbs
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - pxc.percona.com
    resources:
      - perconaxtradbbackups
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - pxc.percona.com
    resources:
      - perconaxtradbclusterbackups
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - pxc.percona.com
    resources:
      - perconaxtradbclusterrestores
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - pxc.percona.com
    resources:
      - perconaxtradbclusters
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - crunchydata.com
    resources:
      - pgclusters
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - crunchydata.com
    resources:
      - pgpolicies
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - crunchydata.com
    resources:
      - pgreplicas
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - crunchydata.com
    resources:
      - pgtasks
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - capabilities.3scale.net
    resources:
      - plans
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - podvolumebackups
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - podvolumerestores
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - capabilities.3scale.net
    resources:
      - products
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - redis.opstreelabs.in
    resources:
      - redis
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - app.redislabs.com
    resources:
      - redisenterpriseclusters
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
      - authorization.openshift.io
    resources:
      - rolebindings
      - roles
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - rbac.authorization.k8s.io
    resources:
      - rolebindings
      - roles
  - verbs:
      - get
    apiGroups:
      - ''
      - project.openshift.io
    resources:
      - projects
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - resticrepositories
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - restores
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - schedules
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - serverstatusrequests
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - maistra.io
    resources:
      - servicemeshcontrolplanes
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - maistra.io
    resources:
      - servicemeshmemberrolls
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - maistra.io
    resources:
      - servicemeshmembers
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - ''
      - authorization.openshift.io
    resources:
      - rolebindingrestrictions
  - verbs:
      - admin
      - view
    apiGroups:
      - build.openshift.io
    resources:
      - jenkins
  - verbs:
      - get
    apiGroups:
      - ''
      - project.openshift.io
    resources:
      - projects
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - operator.tekton.dev
    resources:
      - tektonaddons
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - operator.tekton.dev
    resources:
      - tektonconfigs
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - operator.tekton.dev
    resources:
      - tektoninstallersets
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - operator.tekton.dev
    resources:
      - tektonpipelines
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - operator.tekton.dev
    resources:
      - tektontriggers
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - capabilities.3scale.net
    resources:
      - tenants
  - verbs:
      - get
      - list
      - watch
    apiGroups:
      - velero.io
    resources:
      - volumesnapshotlocations
aggregationRule:
  clusterRoleSelectors:
    - matchLabels:
        rbac.authorization.k8s.io/aggregate-to-admin: 'true'
